=== debian/changelog ===
d52 (3.4.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan package
    Closes: #1112087
  * Standards-Version: 4.7.2 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 16 Sep 2025 15:54:33 +0200

d52 (3.4.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Convert to debhelper. (Closes: #1086541)

 -- Helmut Grohne <helmut@subdivi.de>  Sun, 24 Aug 2025 18:36:21 +0100

d52 (3.4.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007546)
  * d/copyright: Convert to machine-readable format. (Closes: #898214, #977211)

 -- Bastian Germann <bage@debian.org>  Sun, 24 Mar 2024 20:03:49 +0000

d52 (3.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped debhelper compat to 7. (Closes: #965480)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Mon, 18 Apr 2022 07:36:59 -0300

d52 (3.4.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: d52pass2.c:935:3: error: format not a string literal and
    no format arguments [-Werror=format-security]"; add new patch
    20-fix-format-security-error.patch from peter green (closes: #643370).

 -- gregor herrmann <gregoa@debian.org>  Tue, 15 Nov 2011 18:18:32 +0100

d52 (3.4.1-1) unstable; urgency=low

  * Initial release (Closes: #466166).

 -- Uwe Hermann <uwe@debian.org>  Sun, 17 Feb 2008 15:49:36 +0100
