=== debian/control ===
Source: d52
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/d52
Vcs-Git: https://salsa.debian.org/debian/d52.git
Homepage: https://github.com/jblang/d52

Package: d52
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Disassembler for 8052, 8048/8041, and Z80/8080/8085 code
 Disassembler for microcontroller code which supports various targets.
 .
 This package contains:
  - d52: a disassembler for 8052 code,
  - d48: a disassembler for 8048/8041 code,
  - dz80: a disassembler for Z80/8080/8085 code.
