=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	mkdir -p obj
	dh_auto_build

override_dh_auto_install:
	echo "Do not use upstream install target"
