=== debian/watch ===
version=4
http://home.pacbell.net/theposts/d52v(.*)\.zip
