=== debian/changelog ===
d52 (3.4.1+git20191024.ac20ebd-1) unstable; urgency=medium

  * QA upload.

  * New upstream version
    Closes: #706730, #706728
  * Use the default build flags
    Closes: #1119385
  * Do not ignore blhc test in Salsa CI
  * Include upstream docs
    Closes: #706520
  * d/watch:
     - version=5
     - Point to latest commit on Github
  * Add d/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Wed, 17 Dec 2025 10:24:57 +0100
