=== debian/watch ===
Version: 5

Source: https://github.com/jblang/d52.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 3.4.1+git%cd.%h
